<?PHP
if( !defined( 'DATALIFEENGINE' ) OR !defined( 'LOGGED_IN' ) ) {
	die( "Hacking attempt!" );
}

if( isset( $_REQUEST['subaction'] ) ) $subaction = $_REQUEST['subaction']; else $subaction = "";
if( isset( $_REQUEST['do_template'] ) ) $do_template = $_REQUEST['do_template']; else $do_template = "";

if( $action == "options" or $action == '' ) {
	echoheader( "options", $lang['opt_head'] );

	$options = array ();
	
	$options['config'] = array (
								
								array (
											'name' => $lang['opt_all'], 
											'url' => "$PHP_SELF?mod=options&action=syscon", 
											'descr' => $lang['opt_allc'], 
											'image' => "tools.png", 
											'access' => "admin" 
								),
								array (
											'name' => $lang['opt_cat'], 
											'url' => "$PHP_SELF?mod=categories", 
											'descr' => $lang['opt_catc'], 
											'image' => "cats.png", 
											'access' => $user_group[$member_id['user_group']]['admin_categories'] 
								)
	);
	
	$options['user'] = array (
							
							array (
										'name' => $lang['opt_user'], 
										'url' => "$PHP_SELF?mod=editusers&action=list", 
										'descr' => $lang['opt_userc'], 
										'image' => "uset.png", 
										'access' => $user_group[$member_id['user_group']]['admin_editusers'] 
							), 
							
							array (
										'name' => $lang['opt_group'], 
										'url' => "$PHP_SELF?mod=usergroup", 
										'descr' => $lang['opt_groupc'], 
										'image' => "usersgroup.png", 
										'access' => "admin" 
							) 
	);
	
	$options['filter'] = array (
								
								array (
											'name' => $lang['opt_fil'], 
											'url' => "$PHP_SELF?mod=wordfilter", 
											'descr' => $lang['opt_filc'], 
											'image' => "fset.png", 
											'access' => $user_group[$member_id['user_group']]['admin_wordfilter'] 
								), 
								
								array (
											'name' => $lang['opt_ipban'], 
											'url' => "$PHP_SELF?mod=blockip", 
											'descr' => $lang['opt_ipbanc'], 
											'image' => "blockip.png", 
											'access' => $user_group[$member_id['user_group']]['admin_blockip'] 
								)
	);

	
	
	$options['others'] = array (

                                array (
											'name' => $lang['opt_email'], 
											'url' => "$PHP_SELF?mod=email", 
											'descr' => $lang['opt_emailc'], 
											'image' => "mset.png", 
											'access' => "admin" 
                                ),
                                     
								array (
											'name' => $lang['opt_static'], 
											'url' => "$PHP_SELF?mod=static", 
											'descr' => $lang['opt_staticd'], 
											'image' => "spset.png", 
											'access' => $user_group[$member_id['user_group']]['admin_static'] 
								), 
								
								array (
											'name' => $lang['opt_clean'], 
											'url' => "$PHP_SELF?mod=clean", 
											'descr' => $lang['opt_cleanc'], 
											'image' => "clean.png", 
											'access' => "admin" 
								), 								
								
								array (
											'name' => $lang['main_newsl'], 
											'url' => "$PHP_SELF?mod=newsletter", 
											'descr' => $lang['main_newslc'], 
											'image' => "nset.png", 
											'access' => "admin" 
								), 
								
								array (
											'name' => $lang['opt_img'], 
											'url' => "$PHP_SELF?mod=files", 
											'descr' => $lang['opt_imgc'], 
											'image' => "iset.png", 
											'access' => "admin" 
								), 

                                array (
                                            'name' => 'Стол заказов',
                                            'url' => "$PHP_SELF?mod=table",
                                            'descr' => 'Обслуживание стола заказов',
                                            'image' => "fset.png",
                                            'access' => $user_group[$member_id['user_group']]['admin_table']
                                ),
								
								array (
											'name' => $lang['opt_google'], 
											'url' => "$PHP_SELF?mod=googlemap", 
											'descr' => $lang['opt_googlec'], 
											'image' => "googlemap.png", 
											'access' => $user_group[$member_id['user_group']]['admin_googlemap'] 
								),
                                array(
                                            'name' => "Mini Chat",
                                            'url' => "$PHP_SELF?mod=chat",
                                            'descr' => "Управление чатом",
                                            'image' => "mchat.png",
                                            'access' => "admin"
                                ),

                                array(
                                            'name' => "Репутация",
                                            'url' => "$PHP_SELF?mod=repa",
                                            'descr' => "Репутация пользователей",
                                            'image' => "rep.png",
                                            'access' => "admin"
                                ),
                                array(
                                            'name' => "Forum",
                                            'url' => "$PHP_SELF?mod=forum",
                                            'descr' => "Управление форумом и его сообщениями",
                                            'image' => "dle_forum.PNG",
                                            'access' => "admin",
                                )

	);

	
	
	//------------------------------------------------
	// Cut the options for wich we don't have access
	//------------------------------------------------
	foreach ( $options as $sub_options => $value ) {
		$count_options = count( $value );
		
		for($i = 0; $i < $count_options; $i ++) {

			if ($member_id['user_group'] == 1 ) continue;

			if ($member_id['user_group'] != 1 AND  $value[$i]['access'] == "admin") unset( $options[$sub_options][$i] );

			if ( !$value[$i]['access'] ) unset( $options[$sub_options][$i] );
		}
	}
	
	$subs = 0;
	
	foreach ( $options as $sub_options ) {
		
		if( $subs == 1 ) $lang['opt_hopt'] = $lang['opt_s_acc'];
		if( $subs == 2 ) $lang['opt_hopt'] = $lang['opt_s_tem'];
		if( $subs == 3 ) $lang['opt_hopt'] = $lang['opt_s_fil'];
		if( $subs == 4 ) $lang['opt_hopt'] = $lang['opt_s_oth'];
		
		$subs ++;
		
		if( ! count( $sub_options ) ) continue;
		
		echo <<<HTML
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="system/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="system/skins/images/tl_oo.gif"><img src="system/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="system/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="system/skins/images/tl_lb.gif"><img src="system/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_hopt']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%"><tr>
HTML;
		
		$i = 0;
		
		foreach ( $sub_options as $option ) {
			
			if( $i > 1 ) {
				echo "</tr><tr>";
				$i = 0;
			}
			
			$i ++;

			echo <<<HTML
<td width="50%">
<table width="100%">
    <tr>
        <td width="70" height="70" valign="middle" align="center" style="padding-top:5px;padding-bottom:5px;"><img src="system/skins/images/{$option['image']}" border="0"></td>
        <td valign="middle"><div class="quick"><a href="{$option['url']}"><h3>{$option['name']}</h3>{$option['descr']}</a></div></td>
    </tr>
</table>
</td>
HTML;
			
		}
		
		echo <<<HTML
</tr></table>
</td>
        <td background="system/skins/images/tl_rb.gif"><img src="system/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="system/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="system/skins/images/tl_ub.gif"><img src="system/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="system/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div>
HTML;
	
	}

	echofooter();
} 

// ********************************************************************************
// ГЌГ Г±ГІГ°Г®Г©ГЄГЁ Г±ГЄГ°ГЁГЇГІГ 
// ********************************************************************************
elseif( $action == "syscon" ) {
	
	if( $member_id['user_group'] != 1 ) {
		msg( "error", $lang['opt_denied'], $lang['opt_denied'] );
	}
	
	include_once SYSTEM_DIR . '/classes/parse.class.php';
	$parse = new ParseFilter( Array (), Array (), 1, 1 );
	
	$config['offline_reason'] = str_replace( '&quot;', '"', $config['offline_reason'] );
	
	$config['offline_reason'] = $parse->decodeBBCodes( $config['offline_reason'], false );
	if( $auto_detect_config ) $config['http_home_url'] = "";
	
	echoheader( "options", $lang['opt_all'] );
	
	if( ! $handle = opendir( "./templates" ) ) {
		die( "ГЌГҐГўГ®Г§Г¬Г®Г¦Г­Г® Г®ГІГЄГ°Г»ГІГј Г¤ГЁГ°ГҐГЄГІГ®Г°ГЁГѕ ./templates" );
	}
	while ( false !== ($file = readdir( $handle )) ) {
		if( is_dir( ROOT_DIR . "/templates/$file" ) and ($file != "." and $file != "..") ) {
			$sys_con_skins_arr[$file] = $file;
		}
	}
	closedir( $handle );
	
	if( ! $handle = opendir( "./language" ) ) {
		die( "ГЌГҐГўГ®Г§Г¬Г®Г¦Г­Г® Г®ГІГЄГ°Г»ГІГј Г¤ГЁГ°ГҐГЄГІГ®Г°ГЁГѕ ./data/language/" );
	}
	while ( false !== ($file = readdir( $handle )) ) {
		if( is_dir( ROOT_DIR . "/language/$file" ) and ($file != "." and $file != "..") ) {
			$sys_con_langs_arr[$file] = $file;
		}
	}
	closedir( $handle );
	
	foreach ( $user_group as $group )
		$sys_group_arr[$group['id']] = $group['group_name'];
	
	echo <<<HTML
<script language='JavaScript' type="text/javascript">

        function ChangeOption(selectedOption) {

                document.getElementById('general').style.display = "none";
                document.getElementById('security').style.display = "none";
                document.getElementById('news').style.display = "none";
                document.getElementById('comments').style.display = "none";
                document.getElementById('optimisation').style.display = "none";
                document.getElementById('files').style.display = "none";
                document.getElementById('mail').style.display = "none";
                document.getElementById('users').style.display = "none";
                document.getElementById('imagesconf').style.display = "none";
                document.getElementById('rss').style.display = "none";
                document.getElementById('smartphone').style.display = "none";

                if(selectedOption == 'general') {document.getElementById('general').style.display = "";}
                if(selectedOption == 'security') {document.getElementById('security').style.display = "";}
                if(selectedOption == 'news') {document.getElementById('news').style.display = "";}
                if(selectedOption == 'comments') {document.getElementById('comments').style.display = "";}
                if(selectedOption == 'optimisation') {document.getElementById('optimisation').style.display = "";}
                if(selectedOption == 'files') {document.getElementById('files').style.display = "";}
                if(selectedOption == 'mail') {document.getElementById('mail').style.display = "";}
                if(selectedOption == 'users') {document.getElementById('users').style.display = "";}
                if(selectedOption == 'imagesconf') {document.getElementById('imagesconf').style.display = "";}
                if(selectedOption == 'smartphone') {document.getElementById('smartphone').style.display = "";}
                if(selectedOption == 'rss') {document.getElementById('rss').style.display = "";}


       }

</script>
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="system/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="system/skins/images/tl_oo.gif"><img src="system/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="system/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="system/skins/images/tl_lb.gif"><img src="system/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_general_sys']}</div></td>
    </tr>
</table>
<div class="unterline"></div>
<table width="100%">
    <tr>
        <td style="padding:2px;">
<table style="text-align:center;" width="100%" height="35px">
<tr style="vertical-align:middle;" >
 <td class=tableborder><a href="javascript:ChangeOption('general');"><img title="$lang[opt_allsys]" src="system/skins/images/general.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('security');"><img title="$lang[opt_secrsys]" src="system/skins/images/sred.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('news');"><img title="$lang[opt_newssys]" src="system/skins/images/news.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('comments');"><img title="$lang[opt_commsys]" src="system/skins/images/comments.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('optimisation');"><img title="$lang[opt_dbsys]" src="system/skins/images/db_opt.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('files');"><img title="$lang[opt_filesys]" src="system/skins/images/folder.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('mail');"><img title="$lang[opt_sys_mail]" src="system/skins/images/email.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('users');"><img title="$lang[opt_usersys]" src="system/skins/images/users.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('imagesconf');"><img title="$lang[opt_imagesys]" src="system/skins/images/conf_images.png" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('smartphone');"><img title="$lang[opt_smartphone]" src="system/skins/images/smartphone.jpg" border="0"></a>
 <td class=tableborder><a href="javascript:ChangeOption('rss');"><img title="$lang[opt_rsssys]" src="system/skins/images/rss.gif" border="0"></a>

 </tr>
</table>
</td>
    </tr>
</table>
</td>
        <td background="system/skins/images/tl_rb.gif"><img src="system/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="system/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="system/skins/images/tl_ub.gif"><img src="system/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="system/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div>
HTML;
	
	echo <<<HTML
<form action="" method="post">
<div style="padding-top:5px;padding-bottom:2px;">
<table width="100%">
    <tr>
        <td width="4"><img src="system/skins/images/tl_lo.gif" width="4" height="4" border="0"></td>
        <td background="system/skins/images/tl_oo.gif"><img src="system/skins/images/tl_oo.gif" width="1" height="4" border="0"></td>
        <td width="6"><img src="system/skins/images/tl_ro.gif" width="6" height="4" border="0"></td>
    </tr>
    <tr>
        <td background="system/skins/images/tl_lb.gif"><img src="system/skins/images/tl_lb.gif" width="4" height="1" border="0"></td>
        <td style="padding:5px;" bgcolor="#FFFFFF">
<table width="100%">
HTML;
	
	echo <<<HTML
<tr style='' id="general"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_all']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_ht'], $lang['opt_sys_htd'], "<input class=edit type=text style=\"text-align: center;\" name=\"save_con[home_title]\" value=\"{$config['home_title']}\" size=40>" );
	showRow( $lang['opt_sys_hu'], $lang['opt_sys_hud'], "<input class=edit type=text style=\"text-align: center;\" name=\"save_con[http_home_url]\" value=\"{$config['http_home_url']}\" size=40>" );
	
	showRow( $lang['opt_sys_chars'], $lang['opt_sys_charsd'], "<input class=edit type=text style=\"text-align: center;\" name=\"save_con[charset]\" value=\"{$config['charset']}\" size=30>" );
	
	showRow( $lang['opt_sys_descr'], $lang['opt_sys_descrd'], "<input class=edit type=text name=\"save_con[description]\" value=\"{$config['description']}\" size=40>" );
	showRow( $lang['opt_sys_key'], $lang['opt_sys_keyd'], "<textarea class=edit style=\"width:250px;height:50px;\" name=\"save_con[keywords]\">{$config['keywords']}</textarea>" );
	showRow( $lang['opt_sys_short_name'], $lang['opt_sys_short_named'], "<input class=edit type=text style=\"text-align: center;\" name=\"save_con[short_title]\" value=\"{$config['short_title']}\" size=40>" );
	
	showRow( $lang['opt_sys_at'], $lang['opt_sys_atd']." ".date ( "d.m.Y, H:i", time () + ($config['date_adjust'] * 60) ), "<input class=edit type=text style=\"text-align: center;\"  name=\"save_con[date_adjust]\" value=\"{$config['date_adjust']}\" size=10>" );
	
	showRow( $lang['opt_sys_dc'], $lang['opt_sys_dcd'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[allow_alt_url]", "{$config['allow_alt_url']}" ) );
	
	showRow( $lang['opt_sys_al'], $lang['opt_sys_ald'], makeDropDown( $sys_con_langs_arr, "save_con[langs]", "{$config['langs']}" ) );
	showRow( $lang['opt_sys_as'], $lang['opt_sys_asd'], makeDropDown( $sys_con_skins_arr, "save_con[skin]", "{$config['skin']}" ) );
	
	showRow( $lang['opt_sys_ag'], $lang['opt_sys_agd'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[allow_gzip]", "{$config['allow_gzip']}" ) );
    showRow( $lang['opt_sys_cac'], $lang['opt_sys_cad'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[allow_cache]", "{$config['allow_cache']}" ) );
	showRow( "Тип кеширования", "Files - более медленное кеширование в файлы, MemCache - Кеширование в оперативную память", makeDropDown( array ("0" => "Files", "1" => "Memcache" ), "save_con[cache_type]", "{$config['cache_type']}" ) );

	showRow( $lang['opt_sys_offline'], $lang['opt_sys_offlined'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[site_offline]", "{$config['site_offline']}" ) );
	showRow( $lang['opt_sys_reason'], $lang['opt_sys_reasond'], "<textarea class=edit style=\"width:350px;height:100px;\" name=\"save_con[offline_reason]\">{$config['offline_reason']}</textarea>" );
	
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="security"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_secrsys']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_path'], $lang['opt_sys_pathd'], "<input class=edit type=text style=\"text-align: center;\" name=\"save_con[admin_path]\" value=\"{$config['admin_path']}\" size=20>" );
	
	showRow( $lang['opt_sys_ip'], $lang['opt_sys_ipd'], makeDropDown( array ("0" => $lang['opt_sys_ipn'], "1" => $lang['opt_sys_ipm'], "2" => $lang['opt_sys_iph'] ), "save_con[ip_control]", "{$config['ip_control']}" ) );
	
	showRow( $lang['opt_sys_loghash'], $lang['opt_sys_loghashd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[log_hash]", "{$config['log_hash']}" ) );
	
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="news"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_newssys']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_newc'], $lang['opt_sys_newd'], "<input class=edit type=text style=\"text-align: center;\"  name=\"save_con[news_number]\" value=\"{$config['news_number']}\" size=10>" );
    showRow( "Количество кратких новостей", "Количетство новостей просматриваемые кратким просмотром", "<input class=edit type=text style=\"text-align: center;\"  name=\"save_con[newslist_num]\" value=\"{$config['newslist_num']}\" size=10>" );
    showRow( $lang['opt_sys_related_num'], $lang['opt_sys_related_numd'], "<input class=edit type=text style=\"text-align: center;\"  name=\"save_con[related_number]\" value=\"{$config['related_number']}\" size=10>" );
    showRow( 'Количество торрентов списком', 'Отображаемое количетство информации по торрент файлам', "<input class=edit type=text style=\"text-align: center;\"  name=\"save_con[torrent_number]\" value=\"{$config['torrent_number']}\" size=10>" );
	showRow( $lang['opt_sys_am'], $lang['opt_sys_amd'], "<input class=edit type=text style=\"text-align: center;\"  name=\"save_con[smilies]\" value=\"{$config['smilies']}\" size=40>" );
	showRow( $lang['opt_sys_an'], "<a onClick=\"javascript:Help('date')\" class=main href=\"#\">$lang[opt_sys_and]</a>", "<input class=edit type=text style=\"text-align: center;\"  name=\"save_con[timestamp_active]\" value=\"{$config['timestamp_active']}\" size=40>" );
	showRow( $lang['opt_sys_sort'], $lang['opt_sys_sortd'], makeDropDown( array ("date" => $lang['opt_sys_sdate'], "rating" => $lang['opt_sys_srate'], "news_read" => $lang['opt_sys_sview'], "title" => $lang['opt_sys_salph'] ), "save_con[news_sort]", "{$config['news_sort']}" ) );
	showRow( $lang['opt_sys_msort'], $lang['opt_sys_msortd'], makeDropDown( array ("DESC" => $lang['opt_sys_mminus'], "ASC" => $lang['opt_sys_mplus'] ), "save_con[news_msort]", "{$config['news_msort']}" ) );
	showRow( $lang['opt_sys_catsort'], $lang['opt_sys_catsortd'], makeDropDown( array ("date" => $lang['opt_sys_sdate'], "rating" => $lang['opt_sys_srate'], "news_read" => $lang['opt_sys_sview'], "title" => $lang['opt_sys_salph'] ), "save_con[catalog_sort]", "{$config['catalog_sort']}" ) );
	showRow( $lang['opt_sys_catmsort'], $lang['opt_sys_catmsortd'], makeDropDown( array ("DESC" => $lang['opt_sys_mminus'], "ASC" => $lang['opt_sys_mplus'] ), "save_con[catalog_msort]", "{$config['catalog_msort']}" ) );
	showRow( $lang['opt_sys_align'], $lang['opt_sys_alignd'], makeDropDown( array ("" => $lang['opt_sys_none'], "left" => $lang['opt_sys_left'], "center" => $lang['opt_sys_center'], "right" => $lang['opt_sys_right'] ), "save_con[image_align]", "{$config['image_align']}" ) );

	showRow( $lang['opt_sys_adt'], $lang['opt_sys_adtd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[allow_add_tags]", "{$config['allow_add_tags']}" ) );
	
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="comments"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_cch']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	showRow( $lang['opt_sys_alc'], $lang['opt_sys_alcd'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[allow_comments]", "{$config['allow_comments']}" ) );
	showRow( $lang['opt_sys_maxc'], $lang['opt_sys_maxcd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[comments_maxlen]' value=\"{$config['comments_maxlen']}\" size=10>" );
	showRow( $lang['opt_sys_cpm'], $lang['opt_sys_cpmd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[comm_nummers]' value=\"{$config['comm_nummers']}\" size=10>" );
	showRow( $lang['opt_sys_csort'], $lang['opt_sys_csortd'], makeDropDown( array ("DESC" => $lang['opt_sys_mminus'], "ASC" => $lang['opt_sys_mplus'] ), "save_con[comm_msort]", "{$config['comm_msort']}" ) );
	showRow( $lang['opt_sys_aw'], $lang['opt_sys_awd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[auto_wrap]' value=\"{$config['auto_wrap']}\" size=10>" );
	showRow( $lang['opt_sys_ct'], "<a onClick=\"javascript:Help('date')\" class=main href=\"#\">$lang[opt_sys_and]</a>", "<input class=edit type=text style=\"text-align: center;\" name='save_con[timestamp_comment]' value=\"{$config['timestamp_comment']}\" size=40>" );
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="optimisation"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_dch']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_search'], $lang['opt_sys_searchd'], makeDropDown( array ("1" => $lang['opt_sys_advance'], "0" => $lang['opt_sys_simple'] ), "save_con[full_search]", "{$config['full_search']}" ) );
	showRow( $lang['opt_sys_multiple'], $lang['opt_sys_multipled'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[allow_multi_category]", "{$config['allow_multi_category']}" ) );
	showRow( $lang['opt_sys_nodate'], $lang['opt_sys_nodated'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[no_date]", "{$config['no_date']}" ) );
	showRow( $lang['opt_sys_ajax'], $lang['opt_sys_ajaxd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[ajax]", "{$config['ajax']}" ) );
	
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="files"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_filesys']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_file'], $lang['opt_sys_filed'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[files_allow]", "{$config['files_allow']}" ) );
	showRow( $lang['opt_sys_file1'], $lang['opt_sys_file1d'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[files_type]' value=\"{$config['files_type']}\" size=40>" );
	
	showRow( $lang['opt_sys_maxfile'], $lang['opt_sys_maxfiled'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_file_size]' value=\"{$config['max_file_size']}\" size=10>" );
	showRow( $lang['opt_sys_maxfilec'], $lang['opt_sys_maxfilecd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_file_count]' value=\"{$config['max_file_count']}\" size=10>" );
	
	showRow( $lang['opt_sys_file4'], $lang['opt_sys_file4d'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[files_force]", "{$config['files_force']}" ) );
	showRow( $lang['opt_sys_file5'], $lang['opt_sys_file5d'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[files_max_speed]' value=\"{$config['files_max_speed']}\" size=10>" );
	showRow( $lang['opt_sys_file2'], $lang['opt_sys_file2d'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[files_count]", "{$config['files_count']}" ) );
	
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="mail"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_mail']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	showRow( $lang['opt_sys_amail'], $lang['opt_sys_amaild'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[admin_mail]' value='{$config['admin_mail']}' size=30>" );
	
	showRow( $lang['opt_sys_mm'], $lang['opt_sys_mmd'], makeDropDown( array ("php" => "PHP Mail()", "smtp" => "SMTP" ), "save_con[mail_metod]", "{$config['mail_metod']}" ) );
	
	showRow( $lang['opt_sys_smtph'], $lang['opt_sys_smtphd'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[smtp_host]' value=\"{$config['smtp_host']}\" size=30>" );
	showRow( $lang['opt_sys_smtpp'], $lang['opt_sys_smtppd'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[smtp_port]' value=\"{$config['smtp_port']}\" size=30>" );
	showRow( $lang['opt_sys_smtup'], $lang['opt_sys_smtpud'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[smtp_user]' value=\"{$config['smtp_user']}\" size=30>" );
	showRow( $lang['opt_sys_smtupp'], $lang['opt_sys_smtpupd'], "<input class=edit type=text style=\"text-align: center;\" name='save_con[smtp_pass]' value=\"{$config['smtp_pass']}\" size=30>" );
	
	showRow( $lang['opt_sys_mbcc'], $lang['opt_sys_mbccd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[mail_bcc]", "{$config['mail_bcc']}" ) );
	
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="users"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_uch']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	showRow( $lang['opt_sys_reggroup'], $lang['opt_sys_reggroupd'], makeDropDown( $sys_group_arr, "save_con[reg_group]", $config['reg_group'] ) );

	showRow( $lang['opt_sys_ut'], $lang['opt_sys_utd'], makeDropDown( array ("0" => $lang['opt_sys_reg'], "1" => $lang['opt_sys_reg_1'] ), "save_con[registration_type]", "{$config['registration_type']}" ) );
	
	showRow( $lang['opt_sys_code'], $lang['opt_sys_coded'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[allow_sec_code]", "{$config['allow_sec_code']}" ) );
	showRow( $lang['opt_sys_sc'], $lang['opt_sys_scd'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[allow_skin_change]", "{$config['allow_skin_change']}" ) );
	showRow( $lang['opt_sys_pmail'], $lang['opt_sys_pmaild'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[mail_pm]", "{$config['mail_pm']}" ) );
    showRow( "Онлайн на пользователя", "Количество минут которые пользователь считается онлайн", "<input class=edit type=text style=\"text-align: center;\"  name='save_con[user_online]' value=\"{$config['user_online']}\" size=10>" );
	
	echo "</table></td></tr>";
	
	echo <<<HTML
<tr style='display:none' id="imagesconf"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_sys_ich']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_maxside'], $lang['opt_sys_maxsided'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_up_side]' value=\"{$config['max_up_side']}\" size=10>" );
	showRow( $lang['opt_sys_maxsize'], $lang['opt_sys_maxsized'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_up_size]' value=\"{$config['max_up_size']}\" size=10>" );
	showRow( $lang['opt_sys_dim'], $lang['opt_sys_dimd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_image_days]' value=\"{$config['max_image_days']}\" size=10>" );
	showRow( $lang['opt_sys_iw'], $lang['opt_sys_iwd'], makeDropDown( array ("yes" => $lang['opt_sys_yes'], "no" => $lang['opt_sys_no'] ), "save_con[allow_watermark]", "{$config['allow_watermark']}" ) );
	showRow( $lang['opt_sys_im'], $lang['opt_sys_imd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_watermark]' value=\"{$config['max_watermark']}\" size=10>" );
	showRow( $lang['opt_sys_ia'], $lang['opt_sys_iad'], "1-<input class=\"edit bk\" type=text style=\"text-align: center;\"  name='save_con[max_image_1]' value=\"{$config['max_image_1']}\" size=10> 2-<input class=\"edit bk\" type=text style=\"text-align: center;\"  name='save_con[max_image_2]' value=\"{$config['max_image_2']}\" size=10> 3-<input class=\"edit bk\" type=text style=\"text-align: center;\"  name='save_con[max_image_3]' value=\"{$config['max_image_3']}\" size=10>" );
    showRow( "Фотография профиля", "1 - Размер большой фотографии 2 - Уменьшенная копия", "1-<input class=\"edit bk\" type=text style=\"text-align: center;\"  name='save_con[sauto]' value=\"{$config['sauto']}\" size=10> 2-<input class=\"edit bk\" type=text style=\"text-align: center;\"  name='save_con[sauto1]' value=\"{$config['sauto1']}\" size=10>" );
	showRow( $lang['opt_sys_ij'], $lang['opt_sys_ijd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[jpeg_quality]' value=\"{$config['jpeg_quality']}\" size=10>" );
	showRow( $lang['opt_sys_imw'], $lang['opt_sys_imwd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[tag_img_width]' value=\"{$config['tag_img_width']}\" size=10>" );
    showRow( "Ширина обложки", "Максимальная ширина обложки, при ее достижении большое изображение будет уменьшено до текущей ширины.", "<input class=edit type=text style=\"text-align: center;\"  name='save_con[poster_width]' value=\"{$config['poster_width']}\" size=10>" );
    showRow( "Размер аваток", "Максимально допустимый к загрузке размер аватарок", "<input class=edit type=text style=\"text-align: center;\"  name='save_con[max_ava_size]' value=\"{$config['max_ava_size']}\" size=10>" );
	echo "</table></td></tr>";


	echo <<<HTML
<tr style='display:none' id="smartphone"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_smartphone']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_sm_im'], $lang['opt_sys_sm_imd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[allow_smart_images]", "{$config['allow_smart_images']}" ) );
	showRow( $lang['opt_sys_sm_iv'], $lang['opt_sys_sm_ivd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[allow_smart_video]", "{$config['allow_smart_video']}" ) );
	showRow( $lang['opt_sys_sm_fm'], $lang['opt_sys_sm_fmd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[allow_smart_format]", "{$config['allow_smart_format']}" ) );
	
	echo "</table></td></tr>";

	
	echo <<<HTML
<tr style='display:none' id="rss"><td>
<table width="100%">
    <tr>
        <td bgcolor="#EFEFEF" height="29" style="padding-left:10px;"><div class="navigation">{$lang['opt_rsssys']}</div></td>
    </tr>
</table>
<div class="unterline"></div><table width="100%">
HTML;
	
	showRow( $lang['opt_sys_arss'], $lang['opt_sys_arssd'], makeDropDown( array ("1" => $lang['opt_sys_yes'], "0" => $lang['opt_sys_no'] ), "save_con[allow_rss]", "{$config['allow_rss']}" ) );
	showRow( $lang['opt_sys_trss'], $lang['opt_sys_trssd'], makeDropDown( array ("0" => $lang['opt_sys_rss_type_0'], "1" => $lang['opt_sys_rss_type_1'] ), "save_con[rss_mtype]", "{$config['rss_mtype']}" ) );
	showRow( $lang['opt_sys_nrss'], $lang['opt_sys_nrssd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[rss_number]' value=\"{$config['rss_number']}\" size=10>" );
    showRow( $lang['opt_sys_crss'], $lang['opt_sys_crssd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[rss_comm_number]' value=\"{$config['rss_comm_number']}\" size=10>" );
    showRow( $lang['opt_sys_frss'], $lang['opt_sys_frssd'], "<input class=edit type=text style=\"text-align: center;\"  name='save_con[rss_tor_number]' value=\"{$config['rss_tor_number']}\" size=10>" );

	echo "</table></td></tr>";
	
	echo <<<HTML
    <tr>
        <td style="padding-top:10px; padding-bottom:10px;padding-right:10px;"><input type=hidden name=mod value=options>
    <input type=hidden name=action value=dosavesyscon><input type="hidden" name="user_hash" value="$dle_login_hash" /><input type="submit" class="buttons" value="{$lang['user_save']}"></td>
    </tr>
</table>
</td>
        <td background="system/skins/images/tl_rb.gif"><img src="system/skins/images/tl_rb.gif" width="6" height="1" border="0"></td>
    </tr>
    <tr>
        <td><img src="system/skins/images/tl_lu.gif" width="4" height="6" border="0"></td>
        <td background="system/skins/images/tl_ub.gif"><img src="system/skins/images/tl_ub.gif" width="1" height="6" border="0"></td>
        <td><img src="system/skins/images/tl_ru.gif" width="6" height="6" border="0"></td>
    </tr>
</table>
</div></form>
HTML;
	
	echofooter();
} // ********************************************************************************
// Г‡Г ГЇГЁГ±Гј Г­Г Г±ГІГ°Г®ГҐГЄ
// ********************************************************************************
elseif( $action == "dosavesyscon" ) {
	if( $_REQUEST['user_hash'] == "" or $_REQUEST['user_hash'] != $dle_login_hash ) {die( "Hacking attempt! User not found" );	}

    if( $member_id['user_group'] != 1 ) {msg( "error", $lang['opt_denied'], $lang['opt_denied'] );}

	$save_con = $_POST['save_con'];
	
	include_once SYSTEM_DIR . '/classes/parse.class.php';
	$parse = new ParseFilter( Array (), Array (), 1, 1 );
	
	$save_con['offline_reason'] = $parse->process( stripslashes( trim( $save_con['offline_reason'] ) ) );
	$save_con['offline_reason'] = str_replace( '"', '&quot;', $parse->BB_Parse( $save_con['offline_reason'], false ) );
	
	$find[] = "'\r'";
	$replace[] = "";
	$find[] = "'\n'";
	$replace[] = "";
	
	if( $auto_detect_config ) $config['http_home_url'] = "";
	
	$save_con = $save_con + $config;
	
	if( $member_id['user_group'] != 1 ) {
		msg( "error", $lang['opt_denied'], $lang['opt_denied'] );
	}
	
	$handler = fopen( SYSTEM_DIR . '/data/config.php', "w" );
	
	fwrite( $handler, "<?PHP \n\n//System Configurations\n\n\$config = array (\n\n" );
	foreach ( $save_con as $name => $value ) {
		
		if( $name != "offline_reason" ) {
			
			$value = trim( stripslashes( $value ) );
			$value = htmlspecialchars( $value);
			$value = preg_replace( $find, $replace, $value );
			
			$name = trim( stripslashes( $name ) );
			$name = htmlspecialchars( $name, ENT_QUOTES );
			$name = preg_replace( $find, $replace, $name );
		}
		
		$value = str_replace( "$", "&#036;", $value );
		$value = str_replace( "{", "&#123;", $value );
		$value = str_replace( "}", "&#125;", $value );
		
		$name = str_replace( "$", "&#036;", $name );
		$name = str_replace( "{", "&#123;", $name );
		$name = str_replace( "}", "&#125;", $name );
		
		fwrite( $handler, "'{$name}' => \"{$value}\",\n\n" );
	
	}
	fwrite( $handler, ");\n\n?>" );
	fclose( $handler );
	
    $cache->clear();
	msg( "info", $lang['opt_sysok'], "$lang[opt_sysok_1]<br /><br /><a href=$PHP_SELF?mod=options&action=syscon>$lang[db_prev]</a>" );
}

?>